
# select directory based on platform were running on
# this is far from perfect, as Linux has various flavours of tcl_platform(machine) like i386,i486,i586,i686
#  
set xotcl_version 1.0

global tcl_platform

set platform $tcl_platform(os)
if {[string match "Windows*" $platform]} {
    set platform "Windows"
}

set machine $tcl_platform(machine)
set libprefix {}

if {[string match "Linux*" $platform]} {
    set libprefix lib
    if {[regexp {i([3456]86)} $machine _ gen] } {
        # check for existing files, lower versions may be loaded by higher, but not vice versa
        while {$gen > 286} {
            set pdir "${platform}-i${gen}"
            if {[file exists [file join $dir $pdir "${libprefix}xotcl${xotcl_version}[info sharedlibextension]"]]} {
                set machine "i${gen}"
                break
            } else {
                incr gen -100
            }
        }
    }
}

set pdir "${platform}-${machine}" 
package ifneeded XOTcl $xotcl_version [list load [file join $dir $pdir "${libprefix}xotcl${xotcl_version}[info sharedlibextension]"] XOTcl]

unset machine platform pdir libprefix

